# Clase con Herencia

class Menu_Saludable < Menu
    include Comparable
    attr_accessor :grupo_alimentos, :grupo_edad
    
    def initialize(titulo, titulo_porcentaje, platos, porcion, gramos, vct, proteinas_porcetanje, grasas_porcetanje, hidratos_porcentaje, grupo_alimentos, grupo_edad)
        super(titulo, titulo_porcentaje, platos, porcion, gramos, vct, proteinas_porcetanje, grasas_porcetanje, hidratos_porcentaje)
        @grupo_alimentos = grupo_alimentos
        @grupo_edad      = grupo_edad
    end
    
    # --- Definición del Método Mixins para las comparaciones del módulo Comparable
    
    def <=>(value)
      return nil unless value.instance_of? Menu_Saludable
      @grasas_porcetanje <=> value.grasas_porcetanje
    end
    
    def get_grupo_alimentos()
        @grupo_alimentos
    end
    
    def get_grupo_edad()
        @grupo_edad
    end
    
    def to_s
        "Menú para,\nGrupo de edad: #{@grupo_edad}\nGrupo de alimentos: #{@grupo_alimentos}\n" + super.to_s
    end

end
