class C_LinkedList 
    include Enumerable    
    attr_accessor :a_inicio, :a_fin
    
    def initialize()
        @a_inicio = nil
        @a_fin = nil
    end
    
    # --- Definición del Método Mixins Enumerable ---
    
    def each
        nodo = @a_inicio
        while nodo != nil
            yield nodo.value
            nodo = nodo.next
        end
    end

    # --- Método que comprueba si la lista esta vacia ---
    
    def empty
        if ((@a_inicio == nil) && (a_fin == nil))
            true
        else
            false
        end
    end
    
    # --- Método para insertar el primer elemento de la lista ---    

    def insert_first(value)
        @a_fin = value
        @a_inicio = value
    end
    
    # --- Método para extraer elementos desde el inicio de la lista ---
    
    def extract_front
        if (empty == true)
            puts "La lista en el metodo extract_front esta vacia"
        else
            aux = @a_inicio
            @a_inicio = @a_inicio.next
            aux
        end
    end   
    
    # --- Método para insertar un elemento a la lista por el inicio ---

    def push_front(nodo)
        nodo.each do |value|
            if (empty == true)
                insert_first(value)
            else
                aux = @a_inicio
                @a_inicio = value
                aux.previus = @a_inicio
                @a_inicio.next = aux
            end
        end
    end  
    
    #--- Método para mostrar la lista Principio a Fin ---
    
    def mostrar_inicio_fin
        if (empty == true)
            puts "--- La lista esta vacia ---"
        else
            puts
            puts "--- LA LISTA DEL PRINCIPIO AL FINAL ES, "
            puts
            aux = @a_inicio
            puts @a_inicio.value
            while aux.next do
                puts "--------------"
                aux = aux.next
                puts aux.value
            end
        end
    end
    
    # --- Método para extraer elementos desde el final de la lista ---
    
    def extract_back
        if (empty == true)
            puts "La lista en el metodo extract_back esta vacia"
        else
            aux = @a_fin
            @a_fin = @a_fin.previus
            aux
        end
    end  
    
    # --- Metodo para insertar un elemento a la lista por el final ---

    def push_back(nodo)
        nodo.each do |value|
            if (empty == true)
                puts "---- Metodo INSERTAR_FINAL, La lista esta vacia ----"
                insert_first(value)
            else
                aux = @a_fin
                @a_fin = value
                aux.next = @a_fin
                @a_fin.previus = aux
            end
        end
    end

    #--- Metodo para mostrar la lista Fin a Principio ---

    def mostrar_fin_inicio
        if (empty == true)
            puts "--- La lista esta vacia ---"
        else
            puts
            puts "--- LA LISTA DEL FINAL AL PRINCIPIO ES, "
            puts
    
            aux = @a_fin
            puts @a_fin.value

            while aux.previus do
                puts "--------------"
                aux = aux.previus
                puts aux.value		
            end
        end
    end
end
