class Menu
    include Comparable        
    attr_accessor :titulo, :titulo_porcentaje, :platos, :porcion, :gramos, :vct, :proteinas_porcetanje, :grasas_porcetanje, :hidratos_porcentaje
    
    def initialize(titulo, titulo_porcentaje, platos, porcion, gramos, vct, proteinas_porcetanje, grasas_porcetanje, hidratos_porcentaje)
        @titulo = titulo
        @titulo_porcentaje = titulo_porcentaje
        @platos = platos
        @porcion = porcion
        @gramos = gramos
        @vct = vct
        @proteinas_porcetanje = proteinas_porcetanje
        @grasas_porcetanje = grasas_porcetanje
        @hidratos_porcentaje = hidratos_porcentaje
    end
    
    # --- Definición del Método Mixins para las comparaciones del módulo Comparable
    
    def <=>(value)
      return nil unless value.instance_of? Menu
      @proteinas_porcetanje <=> value.proteinas_porcetanje
    end

    def get_descripcion
        @descripcion
    end
    
    def get_titulo
        @titulo
    end
    
    def get_titulo_porcentaje
        @titulo_porcentaje
    end
    
    def get_plato(i)
        @platos[i]
    end
    
    def get_platos()
        @platos
    end
    
    def get_vct()
        @vct
    end
    
    def get_proteinas_porcetanje()
        @proteinas_porcetanje
    end
    
    def get_grasas_porcentaje()
        @grasas_porcetanje
    end
    
    def get_hidratos_porcentaje()
        @hidratos_porcentaje
    end
    
    def to_s
        buffer = "#{@titulo} #{@titulo_porcentaje}\n"
        i = 0;
        while i < @platos.size()
            buffer << "- #{platos[i]}, #{porcion[i]}, #{gramos[i]} g\n"
            i = i + 1
        end
        buffer << "V.C.T. | % #{@vct} kcal | #{@proteinas_porcetanje}% - #{@hidratos_porcentaje}% - #{@grasas_porcetanje}%\n"
        return buffer
    end
end
